/*********************************************/
/* Program reads the compass sensor       .  */
/* file: CompassSensorClass.ino              */
/* Author: Th. Kaffka, Cologne, Germany      */
/* Date: 04/13/2016                          */
/*********************************************/

#include <Wire.h>
#include <C:\_Thomas\Ae\C\Roboter\Interface\CompassSensor.h> // adjust this path.

CompassSensor comp = CompassSensor();

int firmware = 0;

void setup() {
  Serial.begin(9600);
  Wire.begin();
}

void loop() {
  if (firmware == 0) {
    firmware = comp.getFirmwareVersion();
    Serial.println(firmware);
    delay(3000);
    return;
  }
  float dir = comp.getCompassData3599();
  Serial.println(dir);
  delay(1000);
}
