/*********************************************/
/* Program controls a infrared sensor.       */
/* file: InfraredSensor.ino                  */
/* Author: Th. Kaffka, Cologne, Germany      */
/* Date: 04/12/2016                          */
/*********************************************/

const int IR_PIN = 0;

void setup() {
  Serial.begin(9600);
}

void loop() {
  int valIR = analogRead(IR_PIN);
  float distance = twoPointForm(valIR, 490, 3, 200, 14);
  Serial.println(distance);
  delay(700);
}

float twoPointForm(float x, float x1, float y1, float x2, float y2) {
   return y1 + (y2 - y1) / (x2 - x1) * (x - x1);
}


