/*********************************************/
/* Program toggles LEDs between on and off.  */
/* file: LEDblinkClass.ino                   */
/* Author: Th. Kaffka, Cologne, Germany      */
/* Date: 03/11/2016                          */
/*********************************************/

#include <Wire.h>
#include <C:\_Thomas\Ae\C\Roboter\Interface\LCDDisplay.h> // adjust this path.

LCDDisplay disp = LCDDisplay();

void setup() {
  Wire.begin();
  disp.initLCD();
}

void loop() {
  disp.textOutLCD("############", "############", "############");
  delay(1000);
  disp.clearLCD();
  delay(1000);
  disp.textOutLCD("EA TxxxW-I2C", "gesteuert", "d. Arduino");
  disp.writeIntegerLCD(123, 10, 1, 4);
  delay(3000);
  disp.clearLCD();
  delay(1000);
}
