/*********************************************/
/* Program toggles LEDs between on and off.  */
/* file: LEDblinkClass.ino                   */
/* Author: Th. Kaffka, Cologne, Germany      */
/* Date: 02/29/2016                          */
/*********************************************/

#include <C:\_Thomas\Ae\C\Roboter\Interface\Led.h> // adjust this path.

Led led1 = Led(2);
Led led2 = Led(13);

int count = 0;
byte led1_on = false;
byte led2_on = true;

void setup() {
}

void loop() {
  
  if (!led1_on) {
    led1.ledOff();
    led1_on = true;
  } else if (led1_on) {
    led1.ledOn();
    led1_on = false;
  }

  count++;
  if (!led2_on && count % 4 == 0) {
    led2.ledOff();
    led2_on = true;
  } else if (led2_on && count % 4 == 0) {
    led2.ledOn();
    led2_on = false;
  }

  delay(500);
}
