/*********************************************/
/* Program dims a LED between on and off.    */
/* file: LEDdim.ino                          */
/* Author: Th. Kaffka, Cologne, Germany      */
/* Date: 02/07/2016                          */
/*********************************************/

const int LED = 3;
int pmw_value = 0;
int delta = 5;

void setup() {
  pinMode(LED, OUTPUT);
}

void loop() {
  analogWrite(LED, pmw_value);

  pmw_value = pmw_value + delta;

  if (pmw_value == 0) {
    delta = 5;
  } else if (pmw_value == 255) {
    delta = -5;
  }

  delay(100);
}
