/*********************************************/
/* Program reads a line sensor.              */
/* file: LineSensor.ino                      */
/* Author: Th. Kaffka, Cologne, Germany      */
/* Date: 03/12/2016                          */
/*********************************************/

#include <C:\_Thomas\Ae\C\Roboter\Interface\PhotoTransistor.h> // adjust this path.

PhotoTransistor tran_left = PhotoTransistor(0);
PhotoTransistor tran_right = PhotoTransistor(1);

void setup() {
  Serial.begin(9600);
}

void loop() {
  int valTran_left = tran_left.readValue();
  int valTran_right = tran_right.readValue();
  Serial.print(valTran_left);
  Serial.print("   ");
  Serial.println(valTran_right);
  delay(700);
}
