/**********************************************/
/* Program plays a sound on a piezo element.  */
/* file: PiezoSound.ino                       */
/* Author: Th. Kaffka, Cologne, Germany       */
/* Date: 02/27/2016                           */
/**********************************************/

#include <C:\_Thomas\Ae\C\Roboter\Interface\sound.h> // adjust this path.

const int SOUND_PIN = 3;

void setup() {
  pinMode(SOUND_PIN, OUTPUT);
}

void loop() {
  beepMessageReady(SOUND_PIN);
  delay(1000);
  beepMessageEnd(SOUND_PIN);
  delay(1000);
  beepMessageError(SOUND_PIN);
  delay(1000);
  beepMessageOk(SOUND_PIN);
  delay(1000);
  beepMessageAknowledge(SOUND_PIN);
  delay(1000);
  beepMessageDataout(SOUND_PIN);
  delay(1000);

  tone (SOUND_PIN, TONE_C4, 100);
  delay(500);
  tone (SOUND_PIN, TONE_E4, 100);
  delay(500);
  tone (SOUND_PIN, TONE_G4, 100);
  delay(500);
  tone (SOUND_PIN, TONE_C5, 100);
  delay(500);
}
