/*********************************************/
/* Program controls a touch sensor.          */
/* file: TouchSensor.ino                     */
/* Author: Th. Kaffka, Cologne, Germany      */
/* Date: 02/03/2016                          */
/*********************************************/

const int TOUCH = 8;

void setup() {
  Serial.begin(9600);
  pinMode(TOUCH, INPUT);
  digitalWrite(TOUCH, HIGH); // activate the pull up resistor. 
}

void loop() {
  int data = digitalRead(TOUCH);
  delay(40);

  if (data == HIGH) {
    Serial.println("off");
  } else {
    Serial.println("on");
  }

  delay (300);

}
