#!/usr/bin/python3
import RPi.GPIO as GPIO
import time

########################################
# class TouchSensor                    #
# file: TouchSensor.py                 #
# Author: Th. Kaffka, Cologne, Germany #
# Date: 02/02/2016                     #
########################################

class TouchSensor:

   def __init__(self, pin):
      self.pin = pin
      GPIO.setmode(GPIO.BOARD)
      GPIO.setup(pin, GPIO.IN, pull_up_down=GPIO.PUD_UP)

   def __del__(self):
      pass 

   def isTouch(self):
      value = GPIO.input(self.pin)
      time.sleep(0.04)
      if (value == 1):
         return False
      return True
