#!/usr/bin/python3
import RPi.GPIO as GPIO
import time
import random

########################################
# Program to dim a led.                #
# file: LEDDim.py                      #
# Author: Th. Kaffka, Cologne, Germany #
# Date: 02/06/2015                     #
########################################

PIN = 40

GPIO.setmode(GPIO.BOARD)
GPIO.setup(PIN, GPIO.OUT, initial=GPIO.LOW)

led_red = GPIO.PWM(PIN, 100)
led_red.start(50)

try:
   
  while (True):
    for i in range(0, 101, 5):
       led_red.ChangeDutyCycle(i)
       time.sleep(0.1)
    for i in range(100, -1, -5):
       led_red.ChangeDutyCycle(i)
       time.sleep(0.1)

except KeyboardInterrupt:
   GPIO.cleanup()

