#!/usr/bin/python3
import time
import pygame

########################################
# Program to control a loudspeaker.    #
# file: LoudspeakerControl.py          #
# Author: Th. Kaffka, Cologne, Germany #
# Date: 04/20/2016                     #
########################################

pygame.init()
pygame.mixer.music.load("./data/tk_Alarm2.mp3")

try:

   print ("to cancel the loop press Strg + C")
   while (True):
      pygame.mixer.music.play()

      while (pygame.mixer.music.get_busy()):
         time.sleep(0.1)

except KeyboardInterrupt:
   pygame.mixer.music.stop()
