#!/usr/bin/python3

########################################
# Math Functions                       #
# file: tool4math.py                   #
# Author: Th. Kaffka, Cologne, Germany #
# Date: 10/17/2015                     #
########################################

errCode = 0
errMess = ""

#######################################
# two point form for a linear equation.
def twoPointForm(x, x1, y1, x2, y2):
   return float(y1) + (float(y2) - float(y1)) / (float(x2) - float(x1)) * (float(x) - float(x1))

############################
# makes an int16 from bytes.
def makeInt16(num1, num2):
   number = num2 * 256
   number = (number | num1)
   return number

############################
# makes an int32 from bytes.
def makeInt32(num1, num2, num3, num4):
   number = num4 * 256
   number = (number | num3) * 256
   number = (number | num2) * 256
   number = (number | num1)
   return number
