#!/usr/bin/python
import sys
sys.path.append("/home/pi/Desktop/BrickPi_Python/Sensor_Examples")

from BrickPi import *

########################################
# class lego infrared sensor           #
# file: LegoInfraRedSensor.py          #
# Author: Th. Kaffka, Cologne, Germany #
# Date: 03/08/2016                     #
########################################

class LegoInfraRedSensor:

   def __init__(self, port, sensor_type):
      self.port = port
      self.sensor_type = sensor_type
      BrickPi.SensorType[port] = sensor_type

   def __del__(self):
      pass
      
   def getPort(self):
      return self.port

   def getSensorType(self):
      return self.sensor_type

   def getDistance(self):
      return BrickPi.Sensor[self.port]
