#!/usr/bin/python
import sys
sys.path.append("/home/pi/Desktop/BrickPi_Python/Sensor_Examples")

from BrickPi import *

########################################
# class lego touch sensor              #
# file: LegoTouchSensor.py             #
# Author: Th. Kaffka, Cologne, Germany #
# Date: 03/08/2016                     #
########################################

class LegoTouchSensor:

   def __init__(self, port, sensor_type):
      self.port = port
      self.sensor_type = sensor_type
      BrickPi.SensorType[port] = sensor_type

   def __del__(self):
      pass
      
   def getPort(self):
      return self.port

   def getSensorType(self):
      return self.sensor_type

   def isTouched(self):
      value = BrickPi.Sensor[self.port]
      if (self.sensor_type == TYPE_SENSOR_TOUCH):
         if (value == 1): return True
      elif (self.sensor_type == TYPE_SENSOR_EV3_TOUCH_0):
         if (value > 1022): return True
      elif (self.sensor_type == TYPE_SENSOR_TOUCH_DEBOUNCE):
         if (value == 1): return True
      elif (self.sensor_type == TYPE_SENSOR_EV3_TOUCH_DEBOUNCE):
         if (value == 1): return True
      return False
