#!/usr/bin/python
import sys
sys.path.append("/home/pi/Ae/Python/Interface")
import RPi.GPIO as GPIO
import time
from Led import Led

########################################
# experiment blinking on board led's   #
# file: LegoLEDblink.py                #
# Author: Th. Kaffka, Cologne, Germany #
# Date: 03/06/2016                     #
########################################

left_led = Led(12)
right_led = Led(13)

try:

   print ("Cancel loop by pressing Strg + C")
   while (True):
      left_led.ledOn();
      right_led.ledOff();
      time.sleep(1.0)
      left_led.ledOff();
      right_led.ledOn();
      time.sleep(1.0)

except KeyboardInterrupt:
   pass
finally:
   left_led.ledOff();
   right_led.ledOff();
   GPIO.cleanup()
