/**********************************************/
/* class for the photo transistor reading.    */
/* file: PhotoTransistor.h                    */
/* Author: Th. Kaffka, Cologne, Germany       */
/* Date: 02/29/2016                           */
/**********************************************/

#ifndef PhotoTransistor_h
#define PhotoTransistor_h

#include "Arduino.h"

class PhotoTransistor {
  private:
  int pin_number;

  public:
  PhotoTransistor(int ppin_number);
  int readValue();
};

PhotoTransistor::PhotoTransistor(int ppin_number) {
  pin_number = ppin_number;
}

int PhotoTransistor::readValue() {
  return analogRead(pin_number);
}

#endif