/*********************************************/
/* Program initalizes the compass sensor.    */
/* file: CompassSensorInitClass.ino          */
/* Author: Th. Kaffka, Cologne, Germany      */
/* Date: 04/13/2016                          */
/*********************************************/

#include <Wire.h>
#include <C:\_Thomas\Ae\C\Roboter\Interface\CompassSensor.h> // adjust this path.
#include <C:\_Thomas\Ae\C\Roboter\Interface\Led.h> // adjust this path.

CompassSensor comp = CompassSensor();
Led led = Led(13);

int count = 0;

void setup() {
  Serial.begin(9600);
  Wire.begin();
}

void loop() {
  if (count < 4) {
    delay (5000);
    led.ledOn();
    comp.initCompass();
    delay (1000);
    led.ledOff();
    count++;
    return;
  }
  if (count == 4) {
    delay (1000);
    led.ledOn();
    comp.initEnd();
    delay (1000);
    led.ledOff();
    count++;
    return;
  }
  delay (100);
}
