/*********************************************/
/* Program controls the gear motors.         */
/* file: GearMotor.ino                       */
/* Author: Th. Kaffka, Cologne, Germany      */
/* Date: 02/28/2016                          */
/*********************************************/


const int PMWA = 3;
const int AIN1 = 4;
const int AIN2 = 5;

const int PMWB = 9;
const int BIN1 = 10;
const int BIN2 = 11;

void setup() {
  pinMode(PMWA, OUTPUT);
  pinMode(AIN1, OUTPUT);
  pinMode(AIN2, OUTPUT);
  pinMode(PMWB, OUTPUT);
  pinMode(BIN1, OUTPUT);
  pinMode(BIN2, OUTPUT);

  analogWrite(PMWA, 64);
  analogWrite(PMWB, 64);
}

void loop() {
  digitalWrite(AIN1, HIGH);
  delay(1000);
  digitalWrite(AIN1, LOW);
  delay(1000);

  digitalWrite(AIN2, HIGH);
  delay(1000);
  digitalWrite(AIN2, LOW);
  delay(1000);

  digitalWrite(BIN1, HIGH);
  delay(1000);
  digitalWrite(BIN1, LOW);
  delay(1000);

  digitalWrite(BIN2, HIGH);
  delay(1000);
  digitalWrite(BIN2, LOW);
  delay(1000);
}
