/*********************************************/
/* Program toggles LEDs between on and off.  */
/* file: LEDblink.ino                        */
/* Author: Th. Kaffka, Cologne, Germany      */
/* Date: 02/07/2016                          */
/*********************************************/

const int LED1 = 2;
const int LED2 = 13;

int count = 0;
byte led1_on = false;
byte led2_on = true;

void setup() {
  pinMode(LED1, OUTPUT);
  pinMode(LED2, OUTPUT);
}

void loop() {
  
  if (!led1_on) {
    digitalWrite(LED1, LOW);
    led1_on = true;
  } else if (led1_on) {
    digitalWrite(LED1, HIGH);
    led1_on = false;
  }

  count++;
  if (!led2_on && count % 4 == 0) {
    digitalWrite(LED2, LOW);
    led2_on = true;
  } else if (led2_on && count % 4 == 0) {
    digitalWrite(LED2, HIGH);
    led2_on = false;
  }

  delay(500);
}
