/*********************************************/
/* Program controls a touch sensor.          */
/* file: TouchSensorClass.ino                */
/* Author: Th. Kaffka, Cologne, Germany      */
/* Date: 02/03/2016                          */
/*********************************************/

#include <C:\_Thomas\Ae\C\Roboter\Interface\TouchSensor.h> // adjust this path.

TouchSensor touch(8);

int count;
byte is_touch;

void setup() {
  Serial.begin(9600);
  count = 0;
  is_touch = false;
}

void loop() {
  if (touch.isTouch() && !is_touch) {
    count++;
    is_touch = true;
  } if (touch.isTouch() && is_touch) {
    // do nothing.
  } else {
    Serial.println(count);
    is_touch = false;
  }

}
