/*********************************************/
/* Program controls a ultrasonic sensor.     */
/* file: UltrasonicSensorClass.ino           */
/* Author: Th. Kaffka, Cologne, Germany      */
/* Date: 04/12/2016                          */
/*********************************************/

#include <C:\_Thomas\Ae\C\Roboter\Interface\UltrasonicSensor.h> // adjust this path.

//const int TRIG_PIN = 12;
//const int ECHO_PIN = 11;
const int TRIG_PIN = 16;
const int ECHO_PIN = 17;

UltrasonicSensor us(TRIG_PIN, ECHO_PIN);

void setup() {
  Serial.begin(9600);
}

void loop() {
  Serial.println(us.ranging());
  delay(100);
}

