#!/usr/bin/python3
import RPi.GPIO as GPIO
from tkinter import *

#############################################
# Program toggles a LED between on and off. #
# file: LEDToggle.py                        #
# Author: Th. Kaffka, Cologne, Germany      #
# Date: 01/31/2016                          #
#############################################

LED_RED = 40

GPIO.setmode(GPIO.BOARD)
GPIO.setup(LED_RED, GPIO.OUT)

def ledOn():
   GPIO.output(LED_RED, GPIO.HIGH)
   
def ledOff():
   GPIO.output(LED_RED, GPIO.LOW)

window = Tk()
window.title("LED")

Label(window, text="Bitte klicke einen Button, um die LED zu schalten.").pack()
Button(window, text="An", command=ledOn).pack(side=LEFT)
Button(window, text="Aus", command=ledOff).pack(side=LEFT)

window.mainloop()

GPIO.cleanup()

