#!/usr/bin/python3
import RPi.GPIO as GPIO
import time

########################################
# Program to control a touch sensor.   #
# file: TouchSensorControl.py          #
# Author: Th. Kaffka, Cologne, Germany #
# Date: 02/02/2016                     #
########################################

TOUCH = 40                                           #1

GPIO.setmode(GPIO.BOARD)                             #2
GPIO.setup(TOUCH, GPIO.IN, pull_up_down=GPIO.PUD_UP) #3

try:

   while(True):                                      #4
      if (GPIO.input(TOUCH)):
         print("off")
      else:
         print("on")
      time.sleep(0.3)

except KeyboardInterrupt:
   pass
finally:
   GPIO.cleanup()


