import sys
sys.path.append("/home/pi/Ae/Python/Roboter/Interface")
import RPi.GPIO as GPIO
import time
from Led import Led
from PiezoSpeaker import *

########################################
# morse a text                         #
# file: Morse.py                       #
# Author: Th. Kaffka, Cologne, Germany #
# Date: 03/04/2016                     #
########################################

led = Led(37)
speaker = PiezoSpeaker(38)

morse_alphabet = [".-", "-...", "-.-.", "-..", ".", "..-.", "--.", "....", \
                  "..", ".---", "-.-", ".-..", "--", "-.", "---", ".--.", \
                  "--.-", ".-.", "...", "-", "..-", "...-", ".--", "-..-", \
                  "-.--", "--.."]

def morseText(text):
   for c in text:
      morse = ''
      char_no = ord(c) - 97

      # get the character code.
      if (c == ' '): morse = 'x' 
      elif (char_no < 0 or char_no > 25):
         print ("Der Buchstabe", c, "ist nicht definiert!")
         continue
      else:
         morse = morse_alphabet[char_no]

      # morse the character.
      do_morse = list (morse)
      for x in do_morse:
         if (x == '.'):
            led.ledOn()
            speaker.sound(TONE_C5, 0.1)
            led.ledOff()
            time.sleep(0.1)
         if (x == '-'):
            led.ledOn()
            speaker.sound(TONE_C5, 0.3)
            led.ledOff()
            time.sleep(0.1)
         if (x == 'x'):
            time.sleep(0.5)

      time.sleep(0.7)

try:

   while(True):
      get_text = input("Bitte gebe einen zu morsenden Text ein: ").lower()
      time.sleep(1.0)
      morseText(get_text)

except:
   KeyboardInterrupt
finally:
   GPIO.cleanup()
   
