#!/usr/bin/python
from BrickPi import *   								#import BrickPi.py file to use BrickPi operations
import time
import threading

########################################
# brick-pi update values thead         #
# file: UpdateValues.py                #
# Author: Th. Kaffka, Cologne, Germany #
# Date: 03/06/2016                     #
########################################

update_values = False
pause_update = False

class myThread (threading.Thread):
    def __init__(self, threadID, name, counter):
        threading.Thread.__init__(self)
        self.threadID = threadID
        self.name = name
        self.counter = counter
    def run(self):
        while (update_values):
            if (not pause_update):
               BrickPiUpdateValues()
            time.sleep(0.1)

def startUpdateValues():
   global update_values
   update_values = True
   thread1 = myThread(1, "Thread-1", 1)
   thread1.setDaemon(True)
   thread1.start()

def endUpdateValues():
   global update_values
   update_values = False

def startPauseUpdate():
    global pause_update
    pause_update = True

def endPauseUpdate():
    global pause_update
    pause_update = False

def runningUpdateValues():
   global update_values
   return update_values
