#!/usr/bin/python
import sys
sys.path.append("/home/pi/Ae/Python/Interface")
sys.path.append("/home/pi/Desktop/BrickPi_Python/Sensor_Examples")
from BrickPi import *   								#import BrickPi.py file to use BrickPi operations
import time
from UpdateValues import *
# import classes here.
from LegoColorSensor import LegoColorSensor
from Led import Led

###################################################
# experiment hitechnic compass sensor controlling #
# file: HitechnicCompassSensorControlling.py      #
# Author: Th. Kaffka, Cologne, Germany            #
# Date: 04/19/2016                                #
###################################################

I2C_PORT  = PORT_1     # I2C port for the dCompass
I2C_SPEED = 0          # delay for as little time as possible. Usually about 100k baud  
I2C_DEVICE_DCOM = 0    # DComm is device 0 on this I2C bus

BrickPi.SensorType       [I2C_PORT]    = TYPE_SENSOR_I2C#Set the type of sensor at PORT_3
BrickPi.SensorI2CSpeed   [I2C_PORT]    = I2C_SPEED      #Set the speed of communication
BrickPi.SensorI2CDevices [I2C_PORT]    = 1              #number of devices in the I2C bus

BrickPiSetup()  										# setup the serial port for communication

# define the hardware.
#color = LegoColorSensor(PORT_1, TYPE_SENSOR_EV3_COLOR_M0)

BrickPi.SensorSettings   [I2C_PORT][I2C_DEVICE_DCOM] = 0
BrickPi.SensorI2CAddr    [I2C_PORT][I2C_DEVICE_DCOM] = 0b00000010 #address for writing

if BrickPiSetupSensors():
   sys.exit(0)

BrickPi.SensorI2CWrite [I2C_PORT][I2C_DEVICE_DCOM]    = 1       #number of bytes to write
BrickPi.SensorI2CRead  [I2C_PORT][I2C_DEVICE_DCOM]    = 2       #number of bytes to read
BrickPi.SensorI2COut   [I2C_PORT][I2C_DEVICE_DCOM][0] = 0x42

# global valibales.

# startUpdateValues()

try:

   print ("Cancel loop by pressing Strg + C")
   while (True):
      if not BrickPiUpdateValues():
         if (BrickPi.Sensor[I2C_PORT] & (0x01 << I2C_DEVICE_DCOM)):
            buff0 = BrickPi.SensorI2CIn[I2C_PORT][I2C_DEVICE_DCOM][0]
            buff1 = BrickPi.SensorI2CIn[I2C_PORT][I2C_DEVICE_DCOM][1]
            result = ((buff0 & 0xFF) << 1) + buff1
            print(result)
      time.sleep(1)
       
except KeyboardInterrupt:
   pass
finally:
   endUpdateValues()

