#!/usr/bin/python
import sys
sys.path.append("/home/pi/Ae/Python/Interface")
sys.path.append("/home/pi/Desktop/BrickPi_Python/Sensor_Examples")
from BrickPi import *   								#import BrickPi.py file to use BrickPi operations
import time
from UpdateValues import *
# import classes here.
from HitechnicCompassSensor import HitechnicCompassSensor
from Led import Led

###################################################
# experiment hitechnic compass sensor controlling #
# file: HitechnicCompassSensorControllingClass.py #
# Author: Th. Kaffka, Cologne, Germany            #
# Date: 04/19/2016                                #
###################################################

BrickPiSetup()  										# setup the serial port for communication

# define the hardware.
compass = HitechnicCompassSensor(PORT_1, 0, 0)

BrickPiSetupSensors()

# global valibales.

try:

   print ("Cancel loop by pressing Strg + C")
   while (True):
      time.sleep(1)
      direction = compass.getDirection()
      if (not runningUpdateValues()):
         startUpdateValues()
      print(direction)
      
except KeyboardInterrupt:
   pass
finally:
   endUpdateValues()

