#!/usr/bin/python
import sys
sys.path.append("/home/pi/Ae/Python/Interface")
sys.path.append("/home/pi/Desktop/BrickPi_Python/Sensor_Examples")
from BrickPi import *   								#import BrickPi.py file to use BrickPi operations
import time
from UpdateValues import *
# import classes here.
from LegoColorSensor import LegoColorSensor
from Led import Led

############################################
# experiment lego color sensor controlling #
# file: LegoColorSensorControlling.py      #
# Author: Th. Kaffka, Cologne, Germany     #
# Date: 03/08/2016                         #
############################################

BrickPiSetup()  										# setup the serial port for communication

# define the hardware.
color = LegoColorSensor(PORT_1, TYPE_SENSOR_EV3_COLOR_M0)

BrickPiSetupSensors()

# global valibales.

startUpdateValues()

try:

   print ("Cancel loop by pressing Strg + C")
   while (True):
      time.sleep(0.1)
      light = color.getLight()
      if (light < 1000):
         print(light)
      
except KeyboardInterrupt:
   pass
finally:
   endUpdateValues()

